<?php

require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
$page_title = 'Вход';
require_once('conf/head.php');
 ?>
  <div id="main">
 <?php
if ((isset($_SESSION['id'])) and (isset($_SESSION['nick'])))  {
  ?>
  <script type="text/javascript">
  document.location.href = "index.php";
  </script>
  <?php
}
else {

  if(isset($_POST['log'])) {
$nick = $_POST['nick']; // Имя
$pass = $_POST['pass']; //Пароль
    $log = 1;
	if ((empty($nick)) or (!isset($nick))){
	  ?>
	  <p>  <div id="error">Вы не ввели ник</p></div>
	  <?php
	  $log = 0;
	  $login=1;
	}
	if ((empty($pass)) or (!isset($pass))){
	  ?>
	  <p>  <div id="error">Вы не ввели пароль</p></div>
	  <?php
	  $log = 0;
	}
	if ($log == 1) {
	  $query = "Select id, salt from users where nick = '$nick'";
	  $result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
	  $row = mysqli_fetch_array($result);
	  if ($row == 0) {
	  ?>
	  <p>  <div id="error">Неверный логин или пароль</p></div>
	  <?php
	  $login = 0;
	  }
	  else {
	  $salt = $row['salt'];
	  $pass = ($pass.$salt);
	  $query = "Select id, salt from users where nick = '$nick' and password = sha('$pass')";
	  $result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
	  $row = mysqli_fetch_array($result);
	  if ($row == 0) {
	    ?>
	    <p>  <div id="error">Неверный логин или пароль</p></div>
	    <?php
		$login = 0;
	  }
	  else {
	    $ip_user = getenv("REMOTE_ADDR");
        $query = "Select count_login from login where ip = '$ip_user' limit 1";
        $result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
        $row = mysqli_fetch_array($result);
		if ($row['count_login'] <=5) { 
	      $query = "Select id, nick from users where nick = '$nick'";
	      $result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
	      $row = mysqli_fetch_array($result);
	      $_SESSION['id'] = $row['id'];
          $_SESSION['nick'] = $row['nick'];
	      ?>
          <script type="text/javascript">
          document.location.href = "index.php";
          </script>
          <?php
		}
		else {
		  ?>
	      <p>  <div id="error">Неверный логин или пароль</p></div>
	      <?php
		}
	    }
	  }
	}
  }
  if ($login==0) {
  $ip_user = getenv("REMOTE_ADDR");
  $query = "Select count_login from login where ip = '$ip_user' limit 1";
  $result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
  $row = mysqli_fetch_array($result);
    if (!empty($row)) {
      $query = "update login set count_login=count_login+1 where ip='$ip_user' limit 1";
      $result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
    }
	else {
	  $query = "insert into login (`ip`, `count_login`, `count_relost`) values ('$ip_user', '1', '0')";
      $result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД'); 
	}
  }
$nickbot = filter($_POST['nick']);
$passbot = filter($_POST['pass']);
}
$ip = getenv("REMOTE_ADDR");
$query_del = "DELETE FROM `login` WHERE `ip` = '$ip' LIMIT 1";
$result_del = mysqli_query($dbc, $query_del) or die ('Ошибка передачи запроса к БД');
$invite_id = abs(intval($_GET['inv']));
$adress = getenv("HTTP_REFERER");
$time_beg=microtime();
$ip = mysqli_real_escape_string($dbc, trim($ip));
$adress =  mysqli_real_escape_string($dbc, trim($adress));
$query = "select id_invite from invite where ip='$ip'";
$result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
if (mysqli_fetch_array($result)) {
$query = "update invite set id_invite = '$invite_id', iz = '$adress' where ip='$ip'  limit 1";
@$result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
}
else {
$query = "insert into invite (`ip`, `id_invite`, `iz`) values ( '$ip', '$invite_id', '$adress')";
@$result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
}
  ?>

<center>
<div class="foot grey">
<font size="2">«Возрождение Тьмы» - мобильная онлайн игра</font> 
</div>
</center>  <div class="px"></div>
<div class="stats">
<div class="login">
<center><img src="/img/logo.png" width="50%" style="border:-12px solid #131313;" alt="start">
<br/>
<font color="ACACAC"> Тьма поглощает мир... Вступи в бой и сразись с темной силой!</font>
</p>
<a href="reg.php">
<img src="/img/start.png" alt="">
</a>
<form enctype="multipart/form-data" method="post" action="<? $_SERVER['PHP_SELF']; ?>">
  <label for="nick">Логин</label><p>
  <input type="text" class="input" name="nick" value="" /><br />
  <label for="pass"><b>Пароль<span class="white">(<a style="text-decoration:none" href="lostpass.php"><span class="white"> Забыли?</a>)</b></span></label><p>
  <input type="password" class="input" name="pass" value="" />
  <div class="knopka">
  <input type="submit" class="input" value="Войти" name="log" />
  </div>
</form>
  </center>
  <br/>
  <div class="px"></div>
<audio style="width:100%;max-width:497px" src="music/echo.mp3" controls autoplay></audio>
<p>
<center><script type="text/javascript" src="//yandex.st/share/share.js"
charset="utf-8"></script>
<div class="yashare-auto-init" data-yashareL10n="ru"
data-yashareType="none" data-yashareQuickServices="vkontakte,odnoklassniki,twitter,moimir"></div>

Play © 2015, 16+ 
</div><body>
<?php

mysqli_close($dbc);

?>
</body>
</html>